# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`crypto_policies`](#crypto_policies): Manage system-wide crypto policies

### Data types

* [`Crypto_policies::Policy`](#crypto_policiespolicy)

## Classes

### `crypto_policies`

This class manages the system-wide crypto policies on the Red Hat
operating system family. This will configure policies for which
cryptographic algorithms to use in various parts of the operating
system. See man:crypto-policies(7) for more information.

#### Examples

##### default

```puppet
include crypto_policies
```

##### with a policy module

```puppet
class { 'crypto_policies':
  policy => 'DEFAULT:NO-SHA1',
}
```

#### Parameters

The following parameters are available in the `crypto_policies` class.

##### `policy`

Data type: `Crypto_policies::Policy`



Default value: `'DEFAULT'`

## Data types

### `Crypto_policies::Policy`

The Crypto_policies::Policy data type.

Alias of `Pattern[/(?x:
  \A
  [A-Z0-9_-]+     # Policy name
  (:[A-Z0-9_-]+)* # Zero or more policy modules, colon separated
  \z
  )/]`

